Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 96779 - Provide a way to create persistence.xml in J2SE project
Provide a way to create persistence.xml in J2SE project
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: Persistence
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Erno Mononen
issues@javaee
:
Depends on:
Blocks: 89495 91757
  Show dependency treegraph
 
Reported: 2007-02-28 13:46 UTC by Jan Stola
Modified: 2007-03-20 09:42 UTC (History)
3 users (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Stola 2007-02-28 13:46:42 UTC
Use case: user DnD DB table onto GUI form in order to display DB data in this 
form.

When the user performs the mentioned use case for the first time (in a project 
that is not using JPA), we have to make sure that the persistence.xml file is 
created.

Of course, it doesn't have a sense to have a presistence.xml file without a 
persistence unit.  So, it is fine for us to create the persistence.xml file as 
a part of creation of the first persistence unit in the project (see issue 
96777) - if you prefer this solution then feel free to close this issue when 
the issue 96777 will be fixed.
Comment 1 Andrei Badea 2007-03-01 08:57:10 UTC
That would make more sense IMHO. Let's discuss the details in issue 96777.
Comment 2 Erno Mononen 2007-03-20 09:42:35 UTC
Closing as issue 96777 has been resolved.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo